Name:		solar-kde-theme
Version:	0.1.4
Release:	1%{?dist}
Summary:	Solar KDE Theme

Group:		User Interface/Desktops
License:	GPLv2 and CC-BY-SA
URL:		https://fedoraproject.org/wiki/Artwork/F10Themes/Solar
# We are upstream for this package
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

BuildRequires:	hardlink
BuildRequires:	kde-filesystem
Requires:	kde-filesystem

# TODO: temporary require solar-backgrounds
# Requires: solar-backgrounds


%description
Solar KDE Theme based on Solar theme by Samuele Storari. This package
contains KDM Solar Mania theme, KSplash Solar Comet theme and Solar background.


%prep
%setup -q


%build
# blank


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/SolarMania/ %{buildroot}/%{_kde4_appsdir}/kdm/themes/

mkdir -p %{buildroot}/%{_kde4_datadir}/kdm/pics/users
cp -rp kdm/users %{buildroot}/%{_kde4_datadir}/kdm/pics

mkdir -p %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
cp -rp ksplash/SolarComet/ %{buildroot}%{_kde4_appsdir}/ksplash/Themes/

mkdir %{buildroot}%{_kde4_datadir}/wallpapers
cp -rp wallpapers/solar.png* %{buildroot}%{_kde4_datadir}/wallpapers/
cp -rp wallpapers/solar_wide.png* %{buildroot}%{_kde4_datadir}/wallpapers/
mkdir %{buildroot}%{_kde4_datadir}/wallpapers/Solar
cp -rp wallpapers/Solar/metadata.desktop %{buildroot}%{_kde4_datadir}/wallpapers/Solar

# KDE 4 wallpapers theme
mkdir -p %{buildroot}%{_kde4_datadir}/wallpapers/Solar/contents/images
(cd %{buildroot}%{_kde4_datadir}/wallpapers/Solar/contents/;
# FIXME: screenshot                               
#ln -s ../../../backgrounds/waves/waves-eeepc-3-night.png screenshot.png                         
cd %{buildroot}%{_kde4_datadir}/wallpapers/Solar/contents/images                           
ln -s ../../../solar.png 1024x768.png                       
ln -s ../../../solar_wide.png 1280x800.png                         
# FIXME: there doesn't seem to be a 5:4 image in the latest iteration                           
ln -s ../../../solar_wide.png 1280x1024.png                        
ln -s ../../../solar_wide.png 1440x900.png                         
ln -s ../../../solar.png 1600x1200.png                      
ln -s ../../../solar_wide.png 1920x1200.png 
)

# TODO: more resolution support for KSplash in same manner as wallpapers one

# hack to save space
/usr/sbin/hardlink -v %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING.CC-BY-SA COPYING.GPLv2
%{_kde4_appsdir}/kdm/themes/SolarMania/
%{_kde4_appsdir}/ksplash/Themes/SolarComet/
%{_kde4_datadir}/wallpapers/solar.png*
%{_kde4_datadir}/wallpapers/solar_wide.png*
%{_kde4_datadir}/wallpapers/Solar/
%{_kde4_datadir}/kdm/pics/users/default_solar.png


%changelog
* Thu Oct 23 2008 Jaroslav Reznik <jreznik@redhat.com> 0.1.4-1
- corrected licenses, README, COPYING and URL
- added default user face
- package description
- fixes KDM theme colors, positioning
- backgrounds theme
* Wed Oct 22 2008 Jaroslav Reznik <jreznik@redhat.com> 0.1.3-1
- generic Solar Comet splash screenshot
- fixes KDM theme layout problems
* Mon Oct 20 2008 Jaroslav Reznik <jreznik@redhat.com> 0.1.2-1
- final splash theme
* Sat Oct 18 2008 Rex Dieter <rdieter@fedoraproject.org> 0.1-1
- first try
